Loading...
Searching...
No Matches
Dune::PseudoFuture< T > Class Template Reference

A wrapper-class for a object which is ready immediately. More...

`#include <dune/common/parallel/future.hh>`

Inheritance diagram for Dune::PseudoFuture< T >:

## Public Member Functions

| PseudoFuture ()
template<class U>
| PseudoFuture (U &&u)
void | wait ()
bool | ready () const
T | get ()
bool | valid () const

## Detailed Description

template<class T>
class Dune::PseudoFuture< T >

A wrapper-class for a object which is ready immediately.

## Constructor & Destructor Documentation

## PseudoFuture() [1/2]

template<class T>

Dune::PseudoFuture< T >::PseudoFuture | ( |  | ) |

inline

## PseudoFuture() [2/2]

template<class T>
template<class U>

Dune::PseudoFuture< T >::PseudoFuture | ( | U && | u | ) |

inline

## Member Function Documentation

## get()

template<class T>

T Dune::PseudoFuture< T >::get | ( |  | ) |

inline

## ready()

template<class T>

bool Dune::PseudoFuture< T >::ready | ( |  | ) | const

inline

## valid()

template<class T>

bool Dune::PseudoFuture< T >::valid | ( |  | ) | const

inline

## wait()

template<class T>

void Dune::PseudoFuture< T >::wait | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- future.hh